%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name	linuxdcpp
%define version	1.0.3
%define snapshot 0
%define rel	1

%if %snapshot
%define release 0.%snapshot.%rel
%else
%define release %rel
%endif

# for menu
%define title	LinuxDC++
%define comment	Direct Connect client

Summary:	A DC++ port for Linux
Name:		%name
Version:	%version
Release:	%mkrel %release
License:	GPL
Group:		Networking/File transfer
URL:		https://launchpad.net/linuxdcpp
%if %snapshot
Source:		%name-%snapshot.tar.bz2
%else
Source:		%name-%version.tar.bz2
%endif
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes:	linuxdc++ < 0
Provides:	linuxdc++ = %version-%release
BuildRequires:	glib2-devel >= 2.4
BuildRequires:	gtk+2-devel >= 2.6
BuildRequires:	libglade2.0-devel >= 2.4
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	scons
BuildRequires:	python-scons
BuildRequires:	ImageMagick

%description
LinuxDC++ is a project to port the DC++ Direct Connect client for
Linux.

%prep
%if %snapshot
%setup -q -n %name
%else
%setup -q
%endif
#perl -pi -e 's|-O3|%optflags|' SConstruct

%build
scons PREFIX="%{_prefix}" release=1

%install
rm -rf %{buildroot}
scons PREFIX="%{_prefix}" FAKE_ROOT="%{buildroot}" release=1 install

rm -v %{buildroot}%{_datadir}/doc/linuxdcpp/*

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{comment}
Exec=%{_bindir}/linuxdcpp
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF

install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

convert pixmaps/linuxdcpp.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert pixmaps/linuxdcpp.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert pixmaps/linuxdcpp.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/linuxdcpp
%{_datadir}/linuxdcpp
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Feb 09 2009 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 1.0.3-1
- 1.0.3

* Sat Oct 18 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 1.0.2-2
- Rebuild

* Fri Jul 11 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 1.0.2-1
- 1.0.2

* Thu Jan 03 2008 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 1.0.1-1
- 1.0.1

* Sun Dec 09 2007 Torbjorn Turpeinen (Thac) <tobbe@djura.org> 1.0.0-1
- 1.0.0

* Mon Jul 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0-0.20070724.1
- new cvs snap

* Mon Jan 01 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0-0.20070101.1
- initial build for pclinuxos 2007
